/******************************************************************************/
/*
                                  message.h
*/
/******************************************************************************/

#ifndef INCLUDE_MESSAGE_H
#define INCLUDE_MESSAGE_H

#include "request.h"

void MessageAttachments (REQUEST_DATA*);
void MessageBodyButtons (REQUEST_DATA*);
MIME_DATA* MessageBodyIdentify (VMS_MAIL_MSG*, int);
void MessageBodyProcess (VMS_MAIL_MSG*);
int MessageBodyText (REQUEST_DATA*);
BOOL MessageCharSetLtr (char*);
char* MessageCharSetDir (char*);
int MessageCollapseLineBreaks (char*, int);
void MessageContentIdentify (REQUEST_DATA*);
void MessageCopy (REQUEST_DATA*, BOOL);
void MessageDelete (REQUEST_DATA*);
void MessageDestListChange ();
void MessageDestSelector (REQUEST_DATA*);
char* MessageDiskQuotaUsed (REQUEST_DATA*);
int MessageGet (REQUEST_DATA*);
void MessageHeader (REQUEST_DATA*);
void MessageHeaderButtons (REQUEST_DATA*);
int MessageIdList (REQUEST_DATA*);
void MessageFolderPage (REQUEST_DATA*);
int MessageHdrView (REQUEST_DATA*);
void MessageFolderList (REQUEST_DATA*);
int MessageLineCount (char*);
void MessageListFooter ();
void MessageListInit (REQUEST_DATA*);
void MessageFlags (REQUEST_DATA*, unsigned short);
int MessageMassage (char*, int);
BOOL MessagePart (REQUEST_DATA*);
void MessagePage (REQUEST_DATA*);
BOOL MessagePgpSigned (char*);
void MessagePageFolderRequest (REQUEST_DATA*);
void MessagePageMsgRequest (REQUEST_DATA*);
int MessagePrintView (REQUEST_DATA*);
int MessageRangeString (int, char*);
int MessageRawView (REQUEST_DATA*);
void MessageRangeSelect (REQUEST_DATA*);
int MessageRemovePgpSig (char*);

#endif /* INCLUDE_MESSAGE_H */

/******************************************************************************/

